.inner-title-sec {
  display: flex;
  align-items: center;
  gap: 15px;
}

.inner-title-sec .inner-title-icon {
  width: 87px;
  height: 83px;
  background: #D0BB68;
  border-radius: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.innerpage-title-box {
  padding: 40px 0px;
  background: #23559B;
}

.inner-main-title h1 {
  font-size: 28px;
  font-weight: 600;
  margin: 0;
  color: #fff;
}

.filter-sec {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 15px;
  margin-top: 20px;
}

.news-section__filter-button {
  background-color: transparent;
  border: 0px;
  padding: 8px 15px;
  border-radius: 5px;
  font-size: 16px;
  color: #86868B;
  cursor: pointer;
  display: flex;
  position: relative;
  transition: all 0.3s ease;
  align-items: center;
}

.filter-badge {
  position: absolute;
  top: -5px;
  right: -12px;
  width: 14px;
  height: 14px;
  background-color: #23559b;
  border: 2px solid #23559b;
  border-radius: 50%;
  display: none;
  z-index: 10;
}

.filtered .filter-badge {
  display: block !important;
}

.news-section__filter-button svg {
  width: 32px;
  height: 32px;
  margin-left: 8px;
}

.filter-modal {
  display: none;
  /* Hidden by default */
  position: fixed;
  z-index: 999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background: rgba(0, 0, 0, 0.5);
}

.news-section__filter-button.filtered {
  background: #ffffff;
  border: 2px solid #ffffff;
  box-shadow: 0 4px 12px rgba(40, 167, 69, 0.15);
}

.filter-modal-content {
  background: #fff;
  margin: 10% auto;
  border-radius: 10px;
  width: 60%;
  max-width: 60%;
  overflow: hidden;
}

.filter-box {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 15px;
  background: #EFEFEF;
}

.filter-title {
  font-weight: 400;
  margin-top: 0px;
  color: #000000;
}

.filter-close {
  cursor: pointer;
  background: #23559b;
  border-radius: 50%;
  height: 40px;
  width: 40px;
  font-size: 20px;
  color: #fff;
  font-weight: 700;
  display: flex;
  justify-content: center;
  align-items: center;
}

.content-modal {
  padding-left: 15px;
  padding-right: 15px;
}

.filter-modal .filter {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 15px;
}

.content-modal h3 {
  font-size: 18px;
  margin-top: 20px;
  margin-bottom: 20px;
  color: #23559B;
}

.filter label {
  font-weight: normal;
  font-size: 15px;
}

.filter-success-content svg {
  width: 50px;
  display: block;
  margin: 0 auto;
}

#filterModal select,#filterModal input {
  width: 100%;
  height: 50px;
  padding: 8px;
  color: #000000;
  border: 1px solid #CFCFCF;
  border-radius: 6px;
  font-size: 16px;
  line-height: 20px;
  cursor: pointer;
}

.select-chevron {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  pointer-events: none;
  color: #000000;
  width: 25px;
  height: 25px;
}

/* #filterModal label {
    display: block;
    margin-top: 15px;
    margin-bottom: 10px;
    font-size: 18px;
    font-weight: 600;
} */
.date-inputs {
  display: flex;
  align-items: center;
  gap: 10px;
}

.date-input-wrapper {
  position: relative;
  flex: 1;
}

.calendar-icon {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  color: #000000;
  width: 25px;
  height: 25px;
  pointer-events: none;
}

.date-input-wrapper {
  position: relative;
  flex: 1;
}

.validation-text {
  color: #ff0000;
}

.filter-actions {
  display: flex;
  justify-content: center;
  margin-top: 30px;
  gap: 30px;
  margin-bottom: 30px;
}

.filter-actions .primary-btn {
  font-weight: normal;

}

#clearFilters {
  border: 1px solid #23559b;
  padding: 8px 80px;
  border-radius: 30px;
  cursor: pointer;
  background: 0 0;
  font-weight: normal;
}

#filter-btn {
  cursor: pointer;
  border: 1px solid #23559b;
  background: #D0BB68;
  padding: 8px 80px;
  border-radius: 30px;
}

.filter-success-popup {
  display: none;
  position: fixed;
  z-index: 2000;
  inset: 0;
  background: rgba(0, 0, 0, 0.6);
  justify-content: center;
  align-items: center;
}

.filter-success-content {
  background: white;
  padding: 30px;
  border-radius: 15px;
  width: 400px;
  text-align: center;
  animation: popupSlideIn 0.3s ease-out;
  margin: 0 auto;
}

.filter-success-icon {
  width: 60px;
  height: 60px;
  margin-bottom: 30px;
}

.filter-success-content h3 {
  color: #2e7d32;
  margin: 0 0 15px 0;
  font-size: 20px;
}

.news-events-announce-listing {
  padding: 40px 0;
}

.news-events-announce-card {
  background-color: #ffff;
  box-shadow: 2px 4px 12px 0px #00000014;
  border-radius: 20px;
  padding: 10px;
  margin-bottom: 25px;
  display: flex;
  position: relative;
  gap: 20px;
}

.news-events-announce-img {
  width: 350px;
  height: 244px;
  border-radius: 20px;
  overflow: hidden;
  flex-shrink: 0;
}

.news-events-announce-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.date {
  font-size: 14px;
  color: #23569b;
  padding: 10px 0px;
  font-weight: 700;
}

.news-events-announce-text h2 {
  font-size: 20px;
  font-weight: 600;
  color: #2D2525;
  padding: 0;
  line-height: 24px;
  margin: 0 0 20px 0;
}

.news-events-announce-text {
  padding: 20px;
}

.news-events-announce-text p {
  font-size: 16px;
  color: #2D2525;
  line-height: 1.6;
  font-weight: 400;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.news-events-announce-text a {
  position: absolute;
  bottom: 20px;
  right: 40px;
  font-size: 16px;
  color: #23559B;
  font-weight: 600;
  text-decoration: underline;

}

.news-events-announce-text h1 {
  margin-top: 15px;
  font-weight: 600;
  font-size: 28px !important;
  line-height: 36px;
  letter-spacing: -0.28px;
  color: #23559b;
  margin-bottom: 15px;
}

.news-events-announce-text h2 {
  margin-top: 15px;
  font-weight: 600;
  font-size: 24px !important;
  line-height: 32px;
  letter-spacing: -0.28px;
  color: #23559b;
  margin-bottom: 15px;
}

.news-events-announce-text img {
  width: 100%;
  height: 496px;
  border-radius: 20px;
  object-fit: cover;
  object-position: top;
  display: block;
  margin-bottom: 15px;
}

.news-events-announce-text h3 {
  margin-top: 15px;
  font-weight: 600;
  font-size: 20px !important;
  line-height: 28px;
  letter-spacing: -0.28px;
  color: #23559b;
  margin-bottom: 15px;
}

.news-events-announce-text h4 {
  margin-top: 15px;
  font-weight: 600;
  font-size: 16px !important;
  line-height: 24px;
  letter-spacing: -0.28px;
  color: #23559b;
  margin-bottom: 15px;
}

.news-events-announce-text p {
  font-size: 16px !important;
  line-height: 24px;
  letter-spacing: -0.28px;
  color: #000000;
  margin-bottom: 15px;
  margin-top: 15px;
}

.news-events-announce-text table {
  width: 100%;
  background: #fff;
  border-radius: 12px;
  text-align: center;
  border-collapse: collapse;
  /* box-shadow: 0 4px 12px rgba(0, 0, 0, 0.12); */
}

.news-events-announce-text table tr {
  border-bottom: 1px solid #cfcfcf;
}

.news-events-announce-text table tr:last-child {
  border-bottom: none;
}

.news-events-announce-text table tr:nth-child(even) {
  background-color: #fafafa !important;
}

.news-events-announce-text table tr th {
  border: 1px solid #ddd;
  padding: 20px 15px;
  background-color: #4a4a4a3b;
  color: #4a4a4a;
  font-size: 16px;
  line-height: 24px;
  letter-spacing: -0.28px;
  font-weight: 600;
  text-align: left;
}

.news-events-announce-text table {
  border-top-left-radius: 12px;
  border-top-right-radius: 12px;
  /* overflow: hidden; */
}

.news-events-announce-text table tr td {
  border: 1px solid #ddd;
  padding: 20px 15px;
  color: #000000;
  font-size: 14px;
  font-weight: 400;
  line-height: 24px;
  letter-spacing: -0.28px;
  text-align: left;
}

.news-events-announce-text ul li {
  font-size: 16px;
  line-height: 24px;
  letter-spacing: -0.28px;
  list-style-position: inside;
  color: #000000;
}

.news-events-announce-text ol li {
  font-size: 16px;
  line-height: 24px;
  letter-spacing: -0.28px;
  list-style-position: inside;
  color: #000000;
}

.news-events-announce-text a {
  color: #23559b;
  text-underline-offset: 3px;
  text-decoration: underline 2px rgba(42, 46, 109, 0.12);
}

.news-events-announce-text a:hover {
  text-decoration: underline rgb(35, 85, 155) !important;
}

.news-events-announce-text iframe {
  width: 100%;
  height: 600px;
  margin-top: 15px;
  margin-bottom: 15px;
}

figure.table {
  border: 1px solid #ddd;
  overflow: hidden;
  border-radius: 12px;
  margin-top: 25px;
  margin-bottom: 25px;
}

.news-events-announce-text table {
  width: 100%;
  background: #fff;
  border-radius: 12px;
  text-align: center;
  border-collapse: collapse;
  /* box-shadow: 0 4px 12px rgba(0, 0, 0, 0.12); */
}

.news-events-announce-text table tr {
  border-bottom: 1px solid #cfcfcf;
}

.news-events-announce-text table tr:last-child {
  border-bottom: none;
}

.news-events-announce-text table tr:nth-child(even) {
  background-color: #fafafa !important;
}

.news-events-announce-text table tr th {
  border: 1px solid #ddd;
  padding: 20px 15px;
  background-color: #4a4a4a3b;
  color: #4a4a4a;
  font-size: 16px;
  line-height: 24px;
  letter-spacing: -0.28px;
  font-weight: 600;
  text-align: left;
}

.news-events-announce-text table {
  border-top-left-radius: 12px;
  border-top-right-radius: 12px;
  /* overflow: hidden; */
}

.news-events-announce-text table tr td {
  border: 1px solid #ddd;
  padding: 20px 15px;
  color: #000000;
  font-size: 14px;
  font-weight: 400;
  line-height: 24px;
  letter-spacing: -0.28px;
  text-align: left;
}

.news-events-announce-text ul li {
  font-size: 16px;
  line-height: 24px;
  letter-spacing: -0.28px;
  list-style-position: inside;
  color: #000000;
}

.news-events-announce-text ol li {
  font-size: 16px;
  line-height: 24px;
  letter-spacing: -0.28px;
  list-style-position: inside;
  color: #000000;
}

/* pagination css */
.pagination-controls {
  margin-top: 20px;
  justify-content: right;
  align-items: center;
  display: grid;
  grid-auto-flow: column;
  gap: 10px;
  background: #f5f5f7;
}

.pagination-controls svg {
  color: #23559B;
}

.pagination-controls button:disabled {
  opacity: 0.5;
  cursor: not-allowed;
}

#prevBtn,
#nextBtn,
#prevBtn_ad,
#nextBtn_ad,
#prevBtn_an,
#nextBtn_an {
  border: 2px solid #ccc;
  background: transparent;
  width: 48px;
  height: 48px;
  color: #23559B;
  border-radius: 5px;
}

.pagination {
  display: flex;
  gap: 10px;
  align-items: center;
  background-color: #f9f9ff;
  /* Very light background like in image */
  padding: 20px;
  justify-content: flex-end;
}

.page-btn {
  width: 48px;
  height: 48px;
  border: 2px solid #ccc;
  border-radius: 8px;
  background-color: white;
  color: #003B8E;
  margin: 0px 5px;
  /* Arrow color */
  font-size: 18px;
  font-weight: 500;
  cursor: pointer;
  transition: all 0.2s ease;
}

.page-btn:hover {
  background-color: #e6ecff;
}

.page-btn.active {
  background-color: #1f56a6;
  color: white;
  border: none;
}

@media (max-width:991px) {
  .filter-modal-content {
    width: 90%;
    max-width: 90%;
  }

  .news-events-announce-card {
    flex-direction: column;
  }
}

@media (max-width:767px) {
  .filter-modal .filter {
    grid-template-columns: 1fr;
  }

  .filter-actions {
    flex-direction: column;
    gap: 10px;
  }
}